<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<!-- This file is generated by util/keylist.sh. DO NOT EDIT. -->
<head>
	<meta http-equiv="Content-Type" content="text/html;charset=us-ascii">
	<title> Key to action bindings </title>
<!--AUTO head begin-->
	<link rel="icon" href="resources/logo16.png">
<!--AUTO head end-->
</head>
<body>
<h1> Key to action bindings </h1>
<table border=1 cellspacing=0>
<tr><th> key <th>pcb-menu-lesstif.lht <th>pcb-menu-gtk.lht
<tr bgcolor="#DDFFFF">
	<th align=left>.
	<td> <I>'All-direction' lines</I><br>conf(toggle, editor/all_direction_lines, design) 
	<td> <I>'All-direction' lines</I><br>conf(toggle, editor/all_direction_lines, design) 
<tr bgcolor="#FFFFFF">
	<th align=left>/
	<td> <I>Cycle Clip</I><br>Display(CycleClip) 
	<td> <I>Cycle Clip</I><br>Display(CycleClip) 
<tr bgcolor="#DDFFFF">
	<th align=left>0
	<td> <I>Select Layer 10</I><br>SelectLayer(10) 
	<td> <I>Select Layer 10</I><br>SelectLayer(10) 
<tr bgcolor="#FFFFFF">
	<th align=left>0-alt
	<td> <I>Select Layer 20</I><br>SelectLayer(20) 
	<td> <I>Select Layer 20</I><br>SelectLayer(20) 
<tr bgcolor="#DDFFFF">
	<th align=left>0-alt-ctrl
	<td> <I>Toggle Layer 20</I><br>ToggleView(20) 
	<td> <I>Toggle Layer 20</I><br>ToggleView(20) 
<tr bgcolor="#FFFFFF">
	<th align=left>0-ctrl
	<td> <I>Toggle Layer 10</I><br>ToggleView(10) 
	<td> <I>Toggle Layer 10</I><br>ToggleView(10) 
<tr bgcolor="#DDFFFF">
	<th align=left>1
	<td> <I>Select Layer 1</I><br>SelectLayer(1) 
	<td> <I>Select Layer 1</I><br>SelectLayer(1) 
<tr bgcolor="#FFFFFF">
	<th align=left>1-alt
	<td> <I>Select Layer 11</I><br>SelectLayer(11) 
	<td> <I>Select Layer 11</I><br>SelectLayer(11) 
<tr bgcolor="#DDFFFF">
	<th align=left>1-alt-ctrl
	<td> <I>Toggle Layer 11</I><br>ToggleView(11) 
	<td> <I>Toggle Layer 11</I><br>ToggleView(11) 
<tr bgcolor="#FFFFFF">
	<th align=left>1-ctrl
	<td> <I>Toggle Layer 1</I><br>ToggleView(1) 
	<td> <I>Toggle Layer 1</I><br>ToggleView(1) 
<tr bgcolor="#DDFFFF">
	<th align=left>1-shift
	<td> <I>#1</I><br>PasteBuffer(1) 
	<td> <I>Select Buffer #1</I><br>PasteBuffer(1)
<tr bgcolor="#FFFFFF">
	<th align=left>2
	<td> <I>Select Layer 2</I><br>SelectLayer(2) 
	<td> <I>Select Layer 2</I><br>SelectLayer(2) 
<tr bgcolor="#DDFFFF">
	<th align=left>2-alt
	<td> <I>Select Layer 12</I><br>SelectLayer(12) 
	<td> <I>Select Layer 12</I><br>SelectLayer(12) 
<tr bgcolor="#FFFFFF">
	<th align=left>2-alt-ctrl
	<td> <I>Toggle Layer 12</I><br>ToggleView(12) 
	<td> <I>Toggle Layer 12</I><br>ToggleView(12) 
<tr bgcolor="#DDFFFF">
	<th align=left>2-ctrl
	<td> <I>Toggle Layer 2</I><br>ToggleView(2) 
	<td> <I>Toggle Layer 2</I><br>ToggleView(2) 
<tr bgcolor="#FFFFFF">
	<th align=left>2-shift
	<td> <I>#2</I><br>PasteBuffer(2) 
	<td> <I>Select Buffer #2</I><br>PasteBuffer(2)
<tr bgcolor="#DDFFFF">
	<th align=left>3
	<td> <I>Select Layer 3</I><br>SelectLayer(3) 
	<td> <I>Select Layer 3</I><br>SelectLayer(3) 
<tr bgcolor="#FFFFFF">
	<th align=left>3-alt
	<td> <I>Select Layer 13</I><br>SelectLayer(13) 
	<td> <I>Select Layer 13</I><br>SelectLayer(13) 
<tr bgcolor="#DDFFFF">
	<th align=left>3-alt-ctrl
	<td> <I>Toggle Layer 13</I><br>ToggleView(13) 
	<td> <I>Toggle Layer 13</I><br>ToggleView(13) 
<tr bgcolor="#FFFFFF">
	<th align=left>3-ctrl
	<td> <I>Toggle Layer 3</I><br>ToggleView(3) 
	<td> <I>Toggle Layer 3</I><br>ToggleView(3) 
<tr bgcolor="#DDFFFF">
	<th align=left>3-shift
	<td> <I>#3</I><br>PasteBuffer(3) 
	<td> <I>Select Buffer #3</I><br>PasteBuffer(3)
<tr bgcolor="#FFFFFF">
	<th align=left>4
	<td> <I>Select Layer 4</I><br>SelectLayer(4) 
	<td> <I>Select Layer 4</I><br>SelectLayer(4) 
<tr bgcolor="#DDFFFF">
	<th align=left>4-alt
	<td> <I>Select Layer 14</I><br>SelectLayer(14) 
	<td> <I>Select Layer 14</I><br>SelectLayer(14) 
<tr bgcolor="#FFFFFF">
	<th align=left>4-alt-ctrl
	<td> <I>Toggle Layer 14</I><br>ToggleView(14) 
	<td> <I>Toggle Layer 14</I><br>ToggleView(14) 
<tr bgcolor="#DDFFFF">
	<th align=left>4-ctrl
	<td> <I>Toggle Layer 4</I><br>ToggleView(4) 
	<td> <I>Toggle Layer 4</I><br>ToggleView(4) 
<tr bgcolor="#FFFFFF">
	<th align=left>4-shift
	<td> <I>#4</I><br>PasteBuffer(4) 
	<td> <I>Select Buffer #4</I><br>PasteBuffer(4)
<tr bgcolor="#DDFFFF">
	<th align=left>5
	<td> <I>Select Layer 5</I><br>SelectLayer(5) 
	<td> <I>Select Layer 5</I><br>SelectLayer(5) 
<tr bgcolor="#FFFFFF">
	<th align=left>5-alt
	<td> <I>Select Layer 15</I><br>SelectLayer(15) 
	<td> <I>Select Layer 15</I><br>SelectLayer(15) 
<tr bgcolor="#DDFFFF">
	<th align=left>5-alt-ctrl
	<td> <I>Toggle Layer 15</I><br>ToggleView(15) 
	<td> <I>Toggle Layer 15</I><br>ToggleView(15) 
<tr bgcolor="#FFFFFF">
	<th align=left>5-ctrl
	<td> <I>Toggle Layer 5</I><br>ToggleView(5) 
	<td> <I>Toggle Layer 5</I><br>ToggleView(5) 
<tr bgcolor="#DDFFFF">
	<th align=left>5-shift
	<td> <I>#5</I><br>PasteBuffer(5) 
	<td> <I>Select Buffer #5</I><br>PasteBuffer(5)
<tr bgcolor="#FFFFFF">
	<th align=left>6
	<td> <I>Select Layer 6</I><br>SelectLayer(6) 
	<td> <I>Select Layer 6</I><br>SelectLayer(6) 
<tr bgcolor="#DDFFFF">
	<th align=left>6-alt
	<td> <I>Select Layer 16</I><br>SelectLayer(16) 
	<td> <I>Select Layer 16</I><br>SelectLayer(16) 
<tr bgcolor="#FFFFFF">
	<th align=left>6-alt-ctrl
	<td> <I>Toggle Layer 16</I><br>ToggleView(16) 
	<td> <I>Toggle Layer 16</I><br>ToggleView(16) 
<tr bgcolor="#DDFFFF">
	<th align=left>6-ctrl
	<td> <I>Toggle Layer 6</I><br>ToggleView(6) 
	<td> <I>Toggle Layer 6</I><br>ToggleView(6) 
<tr bgcolor="#FFFFFF">
	<th align=left>7
	<td> <I>Select Layer 7</I><br>SelectLayer(7) 
	<td> <I>Select Layer 7</I><br>SelectLayer(7) 
<tr bgcolor="#DDFFFF">
	<th align=left>7-alt
	<td> <I>Select Layer 17</I><br>SelectLayer(17) 
	<td> <I>Select Layer 17</I><br>SelectLayer(17) 
<tr bgcolor="#FFFFFF">
	<th align=left>7-alt-ctrl
	<td> <I>Toggle Layer 17</I><br>ToggleView(17) 
	<td> <I>Toggle Layer 17</I><br>ToggleView(17) 
<tr bgcolor="#DDFFFF">
	<th align=left>7-ctrl
	<td> <I>Toggle Layer 7</I><br>ToggleView(7) 
	<td> <I>Toggle Layer 7</I><br>ToggleView(7) 
<tr bgcolor="#FFFFFF">
	<th align=left>8
	<td> <I>Select Layer 8</I><br>SelectLayer(8) 
	<td> <I>Select Layer 8</I><br>SelectLayer(8) 
<tr bgcolor="#DDFFFF">
	<th align=left>8-alt
	<td> <I>Select Layer 18</I><br>SelectLayer(18) 
	<td> <I>Select Layer 18</I><br>SelectLayer(18) 
<tr bgcolor="#FFFFFF">
	<th align=left>8-alt-ctrl
	<td> <I>Toggle Layer 18</I><br>ToggleView(18) 
	<td> <I>Toggle Layer 18</I><br>ToggleView(18) 
<tr bgcolor="#DDFFFF">
	<th align=left>8-ctrl
	<td> <I>Toggle Layer 8</I><br>ToggleView(8) 
	<td> <I>Toggle Layer 8</I><br>ToggleView(8) 
<tr bgcolor="#FFFFFF">
	<th align=left>9
	<td> <I>Select Layer 9</I><br>SelectLayer(9) 
	<td> <I>Select Layer 9</I><br>SelectLayer(9) 
<tr bgcolor="#DDFFFF">
	<th align=left>9-alt
	<td> <I>Select Layer 19</I><br>SelectLayer(19) 
	<td> <I>Select Layer 19</I><br>SelectLayer(19) 
<tr bgcolor="#FFFFFF">
	<th align=left>9-alt-ctrl
	<td> <I>Toggle Layer 19</I><br>ToggleView(19) 
	<td> <I>Toggle Layer 19</I><br>ToggleView(19) 
<tr bgcolor="#DDFFFF">
	<th align=left>9-ctrl
	<td> <I>Toggle Layer 9</I><br>ToggleView(9) 
	<td> <I>Toggle Layer 9</I><br>ToggleView(9) 
<tr bgcolor="#FFFFFF">
	<th align=left>:
	<td> <I>Command</I><br>Command() 
	<td> <I>Command Entry</I><br>Command() 
<tr bgcolor="#DDFFFF">
	<th align=left>=
	<td> <I>SimpleOpts</I><br>djopt(simple) 
	<td> <I>Simple optimization</I><br>djopt(simple) 
<tr bgcolor="#FFFFFF">
	<th align=left>=-shift
	<td> <I>Auto-Optimize</I><br>djopt(auto) 
	<td> <I>Auto-Optimize</I><br>djopt(auto) 
<tr bgcolor="#DDFFFF">
	<th align=left>[
	<td> <I>Temp Arrow ON</I><br>Mode(Save); Mode(Arrow); Mode(Notify)
	<td> <I>Temp Arrow ON</I><br>Mode(Save); Mode(Arrow); Mode(Notify)
<tr bgcolor="#FFFFFF">
	<th align=left>\
	<td> &nbsp;
	<td> <I>Full screen</I><br>fullscreen(toggle) 
<tr bgcolor="#DDFFFF">
	<th align=left>]
	<td> <I>Temp Arrow OFF</I><br>Mode(Release); Mode(Restore)
	<td> <I>Temp Arrow OFF</I><br>Mode(Release); Mode(Restore)
<tr bgcolor="#FFFFFF">
	<th align=left>`
	<td> <I>Zoom Toggle</I><br>Zoom(Toggle) 
	<td> &nbsp;
<tr bgcolor="#DDFFFF">
	<th align=left>a
	<td> <I>Set Same</I><br>SetSame() 
	<td> <I>Set Same</I><br>SetSame() 
<tr bgcolor="#FFFFFF">
	<th align=left>a-alt
	<td> <I>Cut selection to buffer/Select all visible</I><br>Select(All) 
	<td> <I>Select all visible</I><br>Select(All) 
<tr bgcolor="#DDFFFF">
	<th align=left>a-alt-shift
	<td> <I>Cut selection to buffer/Unselect all</I><br>Unselect(All) 
	<td> <I>Unselect all</I><br>Unselect(All) 
<tr bgcolor="#FFFFFF">
	<th align=left>b
	<td> <I>Flip Object</I><br>Flip(Object) 
	<td> <I>Flip Object</I><br>Flip(Object) 
<tr bgcolor="#DDFFFF">
	<th align=left>b-alt-ctrl
	<td> &nbsp;
	<td> <I>netlist patch for back annotation</I><br>SavePatch() 
<tr bgcolor="#FFFFFF">
	<th align=left>b-shift
	<td> <I>Move selected elements to other side</I><br>Flip(SelectedElements) 
	<td> <I>Move selected elements to other side</I><br>Flip(SelectedElements) 
<tr bgcolor="#DDFFFF">
	<th align=left>backspace
	<td> <I>Remove</I><br>Delete(Selected) 
	<td> <I>Remove Selected</I><br>RemoveSelected() 
<tr bgcolor="#FFFFFF">
	<th align=left>backspace-shift
	<td> <I>Remove Connected</I><br>Atomic(Save); Connection(Reset); Atomic(Restore); Unselect(All); Atomic(Restore); Connection(Find); Atomic(Restore); Select(Connection); Atomic(Restore); RemoveSelected(); Atomic(Restore); Connection(Reset); Atomic(Restore); Unselect(All); Atomic(Block)
	<td> <I>Remove Connected</I><br>Atomic(Save); Connection(Reset); Atomic(Restore); Unselect(All); Atomic(Restore); Connection(Find); Atomic(Restore); Select(Connection); Atomic(Restore); RemoveSelected(); Atomic(Restore); Connection(Reset); Atomic(Restore); Unselect(All); Atomic(Block)
<tr bgcolor="#DDFFFF">
	<th align=left>c
	<td> <I>Center cursor</I><br>Center() 
	<td> <I>Center cursor</I><br>Center() 
<tr bgcolor="#FFFFFF">
	<th align=left>c-alt
	<td> <I>Route radius +0.5</I><br>conf(delta, editor/route_radius, +0.5, design)
	<td> <I>Route radius +0.5</I><br>conf(delta, editor/route_radius, +0.5, design)
<tr bgcolor="#DDFFFF">
	<th align=left>c-alt-shift
	<td> <I>Route radius -0.5</I><br>conf(delta, editor/route_radius, -0.5, design)
	<td> <I>Route radius -0.5</I><br>conf(delta, editor/route_radius, -0.5, design)
<tr bgcolor="#FFFFFF">
	<th align=left>c-ctrl
	<td> <I>Cut selection to buffer/Copy selection to buffer</I><br>GetXY(Click to set the snap point for this buffer); PasteBuffer(Clear); PasteBuffer(AddSelected); Mode(PasteBuffer)
	<td> <I>Copy selection to buffer</I><br>GetXY(Click to set the snap point for this buffer); PasteBuffer(Clear); PasteBuffer(AddSelected); Unselect(All); Mode(PasteBuffer)
<tr bgcolor="#DDFFFF">
	<th align=left>d
	<td> <I>Pins/Via show Name/Number</I><br>Display(PinOrPadName) 
	<td> <I>Pins/Via show Name/Number</I><br>Display(PinOrPadName) 
<tr bgcolor="#FFFFFF">
	<th align=left>d-shift
	<td> <I>Pinout</I><br>Display(Pinout) 
<br> <b>Error: key prefix collision</b>
	<td> <I>Pinout</I><br>Display(Pinout) 
<tr bgcolor="#DDFFFF">
	<th align=left>delete
	<td> <I>Delete selected objects</I><br>Delete(Selected) 
	<td> <I>Remove</I><br>Mode(Save); Mode(Remove); Mode(Notify); Mode(Restore)
<tr bgcolor="#FFFFFF">
	<th align=left>delete-shift
	<td> <I>Remove Connected</I><br>Atomic(Save); Connection(Reset); Atomic(Restore); Unselect(All); Atomic(Restore); Connection(Find); Atomic(Restore); Select(Connection); Atomic(Restore); RemoveSelected(); Atomic(Restore); Connection(Reset); Atomic(Restore); Unselect(All); Atomic(Block)
	<td> <I>Remove selected objects</I><br>RemoveSelected() 
<tr bgcolor="#DDFFFF">
	<th align=left>down
	<td> <I>Step Down</I><br>Cursor(Warp,0,-1,grid) 
	<td> <I>Step Down</I><br>Cursor(Warp,0,-1,grid) 
<tr bgcolor="#FFFFFF">
	<th align=left>down-shift
	<td> <I>Step +Down</I><br>Cursor(Pan,0,-50,view) 
	<td> <I>Step +Down</I><br>Cursor(Pan,0,-50,view) 
<tr bgcolor="#DDFFFF">
	<th align=left>e
	<td> <I>Erase rats-nest</I><br>DeleteRats(AllRats) 
	<td> <I>Erase rats nest</I><br>DeleteRats(AllRats) 
<tr bgcolor="#FFFFFF">
	<th align=left>e-ctrl
	<td> &nbsp;
	<td> <I>Edit properties of selected...</I><br>PropEdit(Selected) 
<tr bgcolor="#DDFFFF">
	<th align=left>e-shift
	<td> <I>Erase selected rats</I><br>DeleteRats(SelectedRats) 
	<td> <I>Erase selected rats</I><br>DeleteRats(SelectedRats) 
<tr bgcolor="#FFFFFF">
	<th align=left>enter
	<td> <I>"Click"</I><br>Mode(Notify); Mode(Release)
	<td> <I>Click</I><br>Mode(Notify); Mode(Release)
<tr bgcolor="#DDFFFF">
	<th align=left>escape
	<td> <I>Cancel</I><br>Mode(Cancel) 
	<td> <I>Cancel</I><br>Mode(Escape) 
<tr bgcolor="#FFFFFF">
	<th align=left>f
	<td> <I>Find Connections</I><br>Connection(Reset); Connection(Find)
	<td> <I>Find Connections</I><br>Connection(Reset); Connection(Find)
<tr bgcolor="#DDFFFF">
	<th align=left>f-alt-ctrl
	<td> <I>Cut selection to buffer/Change font on layout</I><br>FontSel(Object) 
	<td> <I>Change font on layout</I><br>FontSel(Object) 
<tr bgcolor="#FFFFFF">
	<th align=left>f-alt-shift
	<td> &nbsp;
	<td> <I>Replace footprint</I><br>ReplaceFootprint() 
<tr bgcolor="#DDFFFF">
	<th align=left>f-ctrl
	<td> <I>Lookup connection to object</I><br>GetXY(Click on the object); Connection(Find)
	<td> <I>Lookup connection to object</I><br>GetXY(Click on the object); Connection(Find)
<tr bgcolor="#FFFFFF">
	<th align=left>f-ctrl-shift
	<td> <I>Font selector</I><br>FontSel() 
	<td> <I>Font selector</I><br>FontSel() 
<tr bgcolor="#DDFFFF">
	<th align=left>f-shift
	<td> <I>Reset all connections</I><br>Connection(Reset); Display(Redraw)
	<td> <I>Reset all connections</I><br>Connection(Reset); Display(Redraw)
<tr bgcolor="#FFFFFF">
	<th align=left>f1
	<td> <I>Via</I><br>Mode(Via) 
	<td> <I>Via</I><br>Mode(Via)
<tr bgcolor="#DDFFFF">
	<th align=left>f10
	<td> <I>Thermal</I><br>Mode(Thermal) 
	<td> <I>Thermal</I><br>Mode(Thermal)
<tr bgcolor="#FFFFFF">
	<th align=left>f11
	<td> <I>Arrow</I><br>Mode(Arrow) 
	<td> <I>Arrow</I><br>Mode(Arrow)
<tr bgcolor="#DDFFFF">
	<th align=left>f12
	<td> <I>Lock</I><br>Mode(Lock) 
	<td> <I>Lock</I><br>Mode(Lock)
<tr bgcolor="#FFFFFF">
	<th align=left>f2
	<td> <I>Line</I><br>Mode(Line) 
	<td> <I>Line</I><br>Mode(Line)
<tr bgcolor="#DDFFFF">
	<th align=left>f3
	<td> <I>Arc</I><br>Mode(Arc) 
	<td> <I>Arc</I><br>Mode(Arc)
<tr bgcolor="#FFFFFF">
	<th align=left>f4
	<td> <I>Text</I><br>Mode(Text) 
	<td> <I>Text</I><br>Mode(Text)
<tr bgcolor="#DDFFFF">
	<th align=left>f5
	<td> <I>Rectangle</I><br>Mode(Rectangle) 
	<td> <I>Rectangle</I><br>Mode(Rectangle)
<tr bgcolor="#FFFFFF">
	<th align=left>f6
	<td> <I>Polygon</I><br>Mode(Polygon) 
	<td> <I>Polygon</I><br>Mode(Polygon)
<tr bgcolor="#DDFFFF">
	<th align=left>f7
	<td> <I>Buffer</I><br>Mode(PasteBuffer) 
	<td> <I>Buffer</I><br>Mode(PasteBuffer)
<tr bgcolor="#FFFFFF">
	<th align=left>f7-shift
	<td> <I>Rotate buffer 90 deg CCW</I><br>Mode(PasteBuffer); PasteBuffer(Rotate,1)
	<td> <I>Rotate buffer 90 deg CCW</I><br>Mode(PasteBuffer); PasteBuffer(Rotate,1)
<tr bgcolor="#DDFFFF">
	<th align=left>f8
	<td> <I>Remove</I><br>Mode(Remove) 
	<td> <I>Remove</I><br>Mode(Remove)
<tr bgcolor="#FFFFFF">
	<th align=left>f9
	<td> <I>Rotate</I><br>Mode(Rotate) 
	<td> <I>Rotate</I><br>Mode(Rotate)
<tr bgcolor="#DDFFFF">
	<th align=left>g
	<td> <I>Grid +5mil</I><br>SetValue(Grid,+5,mil) 
	<td> <I>Grid +5mil</I><br>SetValue(Grid,+5,mil) 
<tr bgcolor="#FFFFFF">
	<th align=left>g-ctrl
	<td> <I>Grid +0.05mm</I><br>SetValue(Grid,+0.05,mm) 
	<td> <I>Grid +0.05mm</I><br>SetValue(Grid,+0.05,mm) 
<tr bgcolor="#DDFFFF">
	<th align=left>g-ctrl-shift
	<td> <I>Grid -0.05mm</I><br>SetValue(Grid,-0.05,mm) 
	<td> <I>Grid -0.05mm</I><br>SetValue(Grid,-0.05,mm) 
<tr bgcolor="#FFFFFF">
	<th align=left>g-shift
	<td> <I>Grid -5mil</I><br>SetValue(Grid,-5,mil) 
	<td> <I>Grid -5mil</I><br>SetValue(Grid,-5,mil) 
<tr bgcolor="#DDFFFF">
	<th align=left>h
	<td> <I>ToggleHideName Object</I><br>ToggleHideName(Object) 
	<td> <I>ToggleHideName Object</I><br>ToggleHideName(Object) 
<tr bgcolor="#FFFFFF">
	<th align=left>h-ctrl
	<td> <I>ChangeHole Object</I><br>ChangeHole(Object) 
	<td> <I>ChangeHole Object</I><br>ChangeHole(Object) 
<tr bgcolor="#DDFFFF">
	<th align=left>h-shift
	<td> <I>ToggleHideName SelectedElement</I><br>ToggleHideName(SelectedElements) 
	<td> <I>ToggleHideName SelectedElement</I><br>ToggleHideName(SelectedElements) 
<tr bgcolor="#FFFFFF">
	<th align=left>i
	<td> &nbsp;
	<td> <I>Library</I><br>DoWindows(Library) 
<tr bgcolor="#DDFFFF">
	<th align=left>insert
	<td> <I>Insert Point</I><br>Mode(InsertPoint) 
	<td> <I>Insert Point</I><br>Mode(InsertPoint)
<tr bgcolor="#FFFFFF">
	<th align=left>j
	<td> <I>ChangeJoin Object</I><br>ChangeJoin(Object) 
	<td> <I>ChangeJoin Object</I><br>ChangeJoin(Object) 
<tr bgcolor="#DDFFFF">
	<th align=left>j-shift
	<td> <I>ChangeJoin SelectedObject</I><br>ChangeJoin(SelectedObjects) 
	<td> <I>ChangeJoin SelectedObject</I><br>ChangeJoin(SelectedObjects) 
<tr bgcolor="#FFFFFF">
	<th align=left>k
	<td> <I>Clear Object +2 mil</I><br>ChangeClearSize(Object,+2,mil) 
	<td> <I>Clear Object +2 mil</I><br>ChangeClearSize(Object,+2,mil) 
<tr bgcolor="#DDFFFF">
	<th align=left>k-ctrl
	<td> <I>Clear Selected +2 mil</I><br>ChangeClearSize(SelectedObjects,+2,mil) 
	<td> <I>Clear Selected +2 mil</I><br>ChangeClearSize(SelectedObjects,+2,mil) 
<tr bgcolor="#FFFFFF">
	<th align=left>k-ctrl-shift
	<td> <I>Clear Selected -2 mil</I><br>ChangeClearSize(SelectedObjects,-2,mil) 
	<td> <I>Clear Selected -2 mil</I><br>ChangeClearSize(SelectedObjects,-2,mil) 
<tr bgcolor="#DDFFFF">
	<th align=left>k-shift
	<td> <I>Clear Object -2 mil</I><br>ChangeClearSize(Object,-2,mil) 
	<td> <I>Clear Object -2 mil</I><br>ChangeClearSize(Object,-2,mil) 
<tr bgcolor="#FFFFFF">
	<th align=left>l
	<td> <I>Line Tool size +5 mil</I><br>SetValue(LineSize,+5,mil) 
	<td> <I>Line Tool size +5 mil</I><br>SetValue(LineSize,+5,mil) 
<tr bgcolor="#DDFFFF">
	<th align=left>l-shift
	<td> <I>Line Tool size -5 mil</I><br>SetValue(LineSize,-5,mil) 
	<td> <I>Line Tool size -5 mil</I><br>SetValue(LineSize,-5,mil) 
<tr bgcolor="#FFFFFF">
	<th align=left>left
	<td> <I>Step Left</I><br>Cursor(Warp,-1,0,grid) 
	<td> <I>Step Left</I><br>Cursor(Warp,-1,0,grid) 
<tr bgcolor="#DDFFFF">
	<th align=left>left-shift
	<td> <I>Step +Left</I><br>Cursor(Pan,-50,0,view) 
	<td> <I>Step +Left</I><br>Cursor(Pan,-50,0,view) 
<tr bgcolor="#FFFFFF">
	<th align=left>m
	<td> <I>Move Object to current layer</I><br>MoveToCurrentLayer(Object) 
	<td> <I>Move Object to current layer</I><br>MoveToCurrentLayer(Object) 
<tr bgcolor="#DDFFFF">
	<th align=left>m-ctrl
	<td> <I>MarkCrosshair</I><br>MarkCrosshair() 
	<td> <I>MarkCrosshair</I><br>MarkCrosshair() 
<tr bgcolor="#FFFFFF">
	<th align=left>m-shift
	<td> <I>Move selected to current layer</I><br>MoveToCurrentLayer(Selected) 
	<td> <I>Move selected to current layer</I><br>MoveToCurrentLayer(Selected) 
<tr bgcolor="#DDFFFF">
	<th align=left>n
	<td> <I>Cut selection to buffer/Change text on layout</I><br>ChangeName(Object, Number) 
	<td> <I>text on layout</I><br>ChangeName(Object) 
<tr bgcolor="#FFFFFF">
	<th align=left>n-alt
	<td> &nbsp;
	<td> <I>Nonetlist</I><br>ChangeNonetlist(Element) 
<tr bgcolor="#DDFFFF">
	<th align=left>n-ctrl
	<td> <I>Start new layout</I><br>New() 
	<td> <I>Start New Layout</I><br>New() 
<tr bgcolor="#FFFFFF">
	<th align=left>n-ctrl-shift
	<td> <I>Cut selection to buffer/Change text on layout</I><br>ChangeName(Object, Number) 
	<td> <I>pin on layout</I><br>ChangeName(Object, Number) 
<tr bgcolor="#DDFFFF">
	<th align=left>n-shift
	<td> <I>Select shortest rat</I><br>AddRats(Close) 
	<td> <I>Select shortest rat</I><br>AddRats(Close) 
<tr bgcolor="#FFFFFF">
	<th align=left>o
	<td> <I>Optimize rats-nest</I><br>Atomic(Save); DeleteRats(AllRats); Atomic(Restore); AddRats(AllRats); Atomic(Block)
	<td> <I>Optimize rats nest</I><br>Atomic(Save); DeleteRats(AllRats); Atomic(Restore); AddRats(AllRats); Atomic(Block)
<tr bgcolor="#DDFFFF">
	<th align=left>o-ctrl
	<td> <I>ChangeOctagon Object</I><br>ChangeOctagon(Object) 
	<td> <I>ChangeOctagon Object</I><br>ChangeOctagon(Object) 
<tr bgcolor="#FFFFFF">
	<th align=left>o-shift
	<td> <I>AddRats to selected pins</I><br>Atomic(Save); DeleteRats(AllRats); Atomic(Restore); AddRats(SelectedRats); Atomic(Block)
	<td> <I>AddRats to selected pins</I><br>Atomic(Save); DeleteRats(AllRats); Atomic(Restore); AddRats(SelectedRats); Atomic(Block)
<tr bgcolor="#DDFFFF">
	<th align=left>p
	<td> <I>Polygon PreviousPoint</I><br>Polygon(PreviousPoint) 
	<td> <I>Polygon PreviousPoint</I><br>Polygon(PreviousPoint) 
<tr bgcolor="#FFFFFF">
	<th align=left>p-alt
	<td> <I>Manage plugins...</I><br>ManagePlugins() 
	<td> <I>Manage plugins...</I><br>ManagePlugins() 
<tr bgcolor="#DDFFFF">
	<th align=left>p-ctrl
	<td> <I>Auto-place selected elements</I><br>AutoPlaceSelected() 
	<td> <I>Auto-place selected elements</I><br>AutoPlaceSelected() 
<tr bgcolor="#FFFFFF">
	<th align=left>p-ctrl-shift
	<td> <I>Thin draw poly</I><br>conf(toggle, editor/thin_draw_poly, design) 
	<td> <I>Thin draw poly</I><br>conf(toggle, editor/thin_draw_poly, design) 
<tr bgcolor="#DDFFFF">
	<th align=left>p-shift
	<td> <I>Polygon Close</I><br>Polygon(Close) 
	<td> <I>Polygon Close</I><br>Polygon(Close) 
<tr bgcolor="#FFFFFF">
	<th align=left>q
	<td> <I>ChangeSquare Object</I><br>ChangeSquare(Object) 
	<td> <I>ChangeSquare Object</I><br>ChangeSquare(ToggleObject) 
<tr bgcolor="#DDFFFF">
	<th align=left>q-ctrl
	<td> <I>Quit Program</I><br>Quit() 
	<td> <I>Quit Program</I><br>Quit() 
<tr bgcolor="#FFFFFF">
	<th align=left>r
	<td> <I>Report net length</I><br>Report(NetLength) 
	<td> &nbsp;
<tr bgcolor="#DDFFFF">
	<th align=left>r-alt
	<td> <I>Auto-route selected rats</I><br>AutoRoute(SelectedRats) 
	<td> <I>Auto-route selected rats</I><br>AutoRoute(SelectedRats) 
<tr bgcolor="#FFFFFF">
	<th align=left>r-ctrl
	<td> <I>Generate object report</I><br>ReportObject() 
	<td> <I>Generate object report</I><br>ReportObject() 
<tr bgcolor="#DDFFFF">
	<th align=left>r-shift
	<td> <I>Redo last undone operation</I><br>Redo() 
	<td> <I>Redo last undone operation</I><br>Redo() 
<tr bgcolor="#FFFFFF">
	<th align=left>right
	<td> <I>Step Right</I><br>Cursor(Warp,1,0,grid) 
	<td> <I>Step Right</I><br>Cursor(Warp,1,0,grid) 
<tr bgcolor="#DDFFFF">
	<th align=left>right-shift
	<td> <I>Step +Right</I><br>Cursor(Pan,50,0,view) 
	<td> <I>Step +Right</I><br>Cursor(Pan,50,0,view) 
<tr bgcolor="#FFFFFF">
	<th align=left>s
	<td> <I>ChangeSize +5 mil</I><br>ChangeSize(Object,+5,mil) 
	<td> <I>ChangeSize +5 mil</I><br>ChangeSize(Object,+5,mil) 
<tr bgcolor="#DDFFFF">
	<th align=left>s-alt
	<td> <I>ChangeDrill +5 mil</I><br>ChangeDrillSize(Object,+5,mil) 
	<td> <I>ChangeDrill +5 mil</I><br>ChangeDrillSize(Object,+5,mil) 
<tr bgcolor="#FFFFFF">
	<th align=left>s-alt-shift
	<td> <I>ChangeDrill -5 mil</I><br>ChangeDrillSize(Object,-5,mil) 
	<td> <I>ChangeDrill -5 mil</I><br>ChangeDrillSize(Object,-5,mil) 
<tr bgcolor="#DDFFFF">
	<th align=left>s-ctrl
	<td> <I>Save layout</I><br>Save(Layout) 
	<td> <I>Save Layout</I><br>Save(Layout)
<tr bgcolor="#FFFFFF">
	<th align=left>s-ctrl-shift
	<td> <I>Save layout as...</I><br>Save(LayoutAs) 
	<td> <I>Save Layout As...</I><br>Save(LayoutAs)
<tr bgcolor="#DDFFFF">
	<th align=left>s-shift
	<td> <I>ChangeSize -5 mil</I><br>ChangeSize(Object,-5,mil) 
	<td> <I>ChangeSize -5 mil</I><br>ChangeSize(Object,-5,mil) 
<tr bgcolor="#FFFFFF">
	<th align=left>space
	<td> <I>Arrow</I><br>Mode(Arrow) 
	<td> <I>Arrow Mode</I><br>Mode(Arrow)
<tr bgcolor="#DDFFFF">
	<th align=left>t
	<td> <I>Text Tool scale +10 mil</I><br>SetValue(TextScale,+10,mil) 
	<td> <I>Text Tool scale +10 mil</I><br>SetValue(TextScale,+10,mil) 
<tr bgcolor="#FFFFFF">
	<th align=left>t-shift
	<td> <I>Text Tool scale -10 mil</I><br>SetValue(TextScale,-10,mil) 
	<td> <I>Text Tool scale -10 mil</I><br>SetValue(TextScale,-10,mil) 
<tr bgcolor="#DDFFFF">
	<th align=left>tab
	<td> <I>Flip up/down</I><br>SwapSides(V) 
	<td> <I>Flip up/down</I><br>SwapSides(V) 
<tr bgcolor="#FFFFFF">
	<th align=left>tab-ctrl
	<td> <I>Spin 180&deg;</I><br>SwapSides(R) 
	<td> <I>Spin 180 degrees</I><br>SwapSides(R) 
<tr bgcolor="#DDFFFF">
	<th align=left>tab-ctrl-shift
	<td> <I>Swap Sides</I><br>SwapSides() 
	<td> <I>Swap Sides</I><br>SwapSides() 
<tr bgcolor="#FFFFFF">
	<th align=left>tab-shift
	<td> <I>Flip left/right</I><br>SwapSides(H) 
	<td> <I>Flip left/right</I><br>SwapSides(H) 
<tr bgcolor="#DDFFFF">
	<th align=left>u
	<td> <I>Undo last operation</I><br>Undo() 
	<td> <I>Undo last operation</I><br>Undo() 
<tr bgcolor="#FFFFFF">
	<th align=left>u-ctrl-shift
	<td> <I>Clear undo-buffer</I><br>Undo(ClearList)
	<td> <I>Clear undo-buffer</I><br>Undo(ClearList) 
<tr bgcolor="#DDFFFF">
	<th align=left>up
	<td> <I>Step Up</I><br>Cursor(Warp,0,1,grid) 
	<td> <I>Step Up</I><br>Cursor(Warp,0,1,grid) 
<tr bgcolor="#FFFFFF">
	<th align=left>up-shift
	<td> <I>Step +Up</I><br>Cursor(Pan,0,50,view) 
	<td> <I>Step +Up</I><br>Cursor(Pan,0,50,view) 
<tr bgcolor="#DDFFFF">
	<th align=left>v
	<td> <I>Zoom Max</I><br>Zoom() 
	<td> <I>Zoom Max</I><br>Zoom() 
<tr bgcolor="#FFFFFF">
	<th align=left>v-alt
	<td> <I>Via Tool drill +5 mil</I><br>SetValue(ViaDrillingHole,+5,mil) 
	<td> <I>Via Tool drill +5 mil</I><br>SetValue(ViaDrillingHole,+5,mil) 
<tr bgcolor="#DDFFFF">
	<th align=left>v-alt-shift
	<td> <I>Via Tool drill -5 mil</I><br>SetValue(ViaDrillingHole,-5,mil) 
	<td> <I>Via Tool drill -5 mil</I><br>SetValue(ViaDrillingHole,-5,mil) 
<tr bgcolor="#FFFFFF">
	<th align=left>v-ctrl
	<td> <I>Cut selection to buffer/Paste buffer to layout</I><br>Mode(PasteBuffer) 
	<td> <I>Paste buffer to layout</I><br>Mode(PasteBuffer) 
<tr bgcolor="#DDFFFF">
	<th align=left>v-ctrl-shift
	<td> <I>Via Tool size -5 mil</I><br>SetValue(ViaSize,-5,mil) 
	<td> <I>Via Tool size -5 mil</I><br>SetValue(ViaSize,-5,mil) 
<tr bgcolor="#FFFFFF">
	<th align=left>v-shift
	<td> <I>Via Tool size +5 mil</I><br>SetValue(ViaSize,+5,mil) 
	<td> <I>Via Tool size +5 mil</I><br>SetValue(ViaSize,+5,mil) 
<tr bgcolor="#DDFFFF">
	<th align=left>w
	<td> <I>Add All Rats</I><br>AddRats(AllRats) 
	<td> <I>Add All Rats</I><br>AddRats(AllRats) 
<tr bgcolor="#FFFFFF">
	<th align=left>w-shift
	<td> <I>AddRats Selected</I><br>AddRats(SelectedRats) 
	<td> <I>AddRats Selected</I><br>AddRats(SelectedRats) 
<tr bgcolor="#DDFFFF">
	<th align=left>x
	<td> &nbsp;
	<td> <I>Cycle object being dragged</I><br>CycleDrag() 
<tr bgcolor="#FFFFFF">
	<th align=left>x-ctrl
	<td> <I>Cut selection to buffer</I><br>GetXY(Click to set the snap point for this buffer); PasteBuffer(Clear); PasteBuffer(AddSelected); RemoveSelected(); Mode(PasteBuffer)
	<td> <I>Cut selection to buffer</I><br>GetXY(Click to set the snap point for this buffer); PasteBuffer(Clear); PasteBuffer(AddSelected); RemoveSelected(); Mode(PasteBuffer)
<tr bgcolor="#DDFFFF">
	<th align=left>x-shift
	<td> &nbsp;
	<td> <I>Swap nets on two selected pins</I><br>net(swap) 
<tr bgcolor="#FFFFFF">
	<th align=left>y
	<td> <I>Puller</I><br>Puller() 
	<td> <I>Puller</I><br>Puller() 
<tr bgcolor="#DDFFFF">
	<th align=left>y-shift
	<td> <I>ChangeSizes to Route style</I><br>ChangeSizes(Object,style,mil)
	<td> <I>ChangeSizes to Route style</I><br>ChangeSizes(Object,style,mil) 
<tr bgcolor="#FFFFFF">
	<th align=left>z
	<td> <I>Zoom In 20%</I><br>Zoom(-1.2) 
	<td> <I>Zoom In 20%</I><br>Zoom(-1.2) 
<tr bgcolor="#DDFFFF">
	<th align=left>z-alt
	<td> <I>Undo</I><br>Undo() 
	<td> &nbsp;
<tr bgcolor="#FFFFFF">
	<th align=left>z-shift
	<td> <I>Zoom Out 20%</I><br>Zoom(+1.2)
	<td> <I>Zoom Out 20%</I><br>Zoom(+1.2) 
<tr bgcolor="#DDFFFF">
	<th align=left>|
	<td> <I>Thin draw</I><br>conf(toggle, editor/thin_draw, design) 
	<td> <I>Thin draw</I><br>conf(toggle, editor/thin_draw, design) 
</table>
<br>pcb-menu-lesstif.lht: d-shift vs. d-shift;
</body></html>
